List Connections
curl --request GET \
--url https://platform.versori.com/api/v2/o/{organisation_id}/connections \
--header 'Authorization: Bearer <token>'import requests
url = "https://platform.versori.com/api/v2/o/{organisation_id}/connections"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.versori.com/api/v2/o/{organisation_id}/connections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"totalCount": 123,
"items": [
{
"id": "<string>",
"name": "<string>",
"credentials": [
{
"id": "<string>",
"authSchemeConfig": {
"none": {
"id": "<string>",
"description": "<string>",
"validationMessages": [
{
"text": "<string>",
"detail": [
"<string>"
]
}
]
},
"apiKey": {
"id": "<string>",
"description": "<string>",
"name": "<string>",
"validationMessages": [
{
"text": "<string>",
"detail": [
"<string>"
]
}
]
},
"basicAuth": {
"id": "<string>",
"description": "<string>",
"validationMessages": [
{
"text": "<string>",
"detail": [
"<string>"
]
}
]
},
"oauth2": {
"id": "<string>",
"description": "<string>",
"tokenUrl": "<string>",
"scopes": [
{
"name": "<string>",
"description": "<string>"
}
],
"defaultScopes": [
"<string>"
],
"grant": {
"authorizationCode": {
"credentialId": "<string>",
"organisationId": "<string>",
"clientId": "<string>",
"clientSecret": "<string>"
},
"clientCredentials": {},
"password": {
"credentialId": "<string>",
"organisationId": "<string>",
"clientId": "<string>",
"clientSecret": "<string>"
}
},
"validationMessages": [
{
"text": "<string>",
"detail": [
"<string>"
]
}
],
"authorizeUrl": "<string>",
"additionalAuthorizeParams": "<string>",
"additionalTokenParams": "<string>",
"mtlsEnabled": true,
"mtlsCredentialId": "<string>",
"pkce": true
},
"oauth1": {
"id": "<string>",
"description": "<string>",
"consumerKey": "<string>",
"consumerSecret": "<string>",
"signatureMethod": "<string>",
"validationMessages": [
{
"text": "<string>",
"detail": [
"<string>"
]
}
],
"tokenAuth": true,
"tempCredentialEndpoint": {
"url": "<string>",
"additionalParamConfigs": [
{
"parameterName": "<string>",
"required": true,
"modifiable": true,
"targetName": "<string>"
}
]
},
"resourceOwnerAuthorizationEndpoint": {
"url": "<string>",
"additionalParamConfigs": [
{
"parameterName": "<string>",
"required": true,
"modifiable": true,
"targetName": "<string>"
}
]
},
"tokenEndpoint": {
"url": "<string>",
"additionalParamConfigs": [
{
"parameterName": "<string>",
"required": true,
"modifiable": true,
"targetName": "<string>"
}
]
},
"credentialId": "<string>"
},
"hmac": {
"id": "<string>",
"description": "<string>",
"name": "<string>",
"digestInputs": [],
"validationMessages": [
{
"text": "<string>",
"detail": [
"<string>"
]
}
]
},
"certificate": {
"id": "<string>",
"description": "<string>",
"validationMessages": [
{
"text": "<string>",
"detail": [
"<string>"
]
}
]
}
},
"credential": {
"id": "<string>",
"organisationId": "<string>",
"name": "<string>",
"errors": [
"<string>"
],
"data": {
"binary": {
"valueBase64": "<string>"
},
"none": {},
"string": {
"value": "<string>"
},
"basicAuth": {
"username": "<string>",
"password": "<string>"
},
"oauth2Client": {
"clientId": "<string>",
"clientSecret": "<string>",
"tokenUrl": "<string>",
"scopes": [
"<string>"
],
"additionalParams": "<string>",
"mTLSEnabled": true,
"mTLSCredentialId": "<string>"
},
"oauth2Token": {
"scopes": [
"<string>"
],
"refreshToken": "<string>",
"accessToken": "<string>",
"tokenType": "Bearer",
"expiresAt": "2023-11-07T05:31:56Z"
},
"oauth2Code": {
"code": "<string>",
"state": "<string>",
"additionalParams": "<string>"
},
"oauth2Password": {
"username": "<string>",
"password": "<string>"
},
"certificate": {
"certificate": "<string>",
"key": "<string>",
"ca": "<string>"
},
"oauth1": {
"state": "<string>",
"oauthToken": "<string>",
"oauthVerifier": "<string>"
},
"oauth1Token": {
"token": "<string>",
"tokenSecret": "<string>",
"additionalParams": [
{
"name": "<string>",
"value": "<string>"
}
]
}
},
"expiresAt": "2023-11-07T05:31:56Z"
}
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"baseUrl": "<string>",
"systemId": "<string>",
"connectionTemplateId": "<string>"
}
],
"next": "<string>",
"prev": "<string>"
}{
"code": "<string>",
"message": "<string>",
"fields": [
{
"field": "<string>",
"message": "<string>"
}
],
"details": "<string>"
}connections
List Connections
ListConnections returns a list of Connections.
GET
/
o
/
{organisation_id}
/
connections
List Connections
Authorizations
bearerTokencookie
Bearer token authentication used by the Versori Platform. External consumers must provide an API key, however internal consumers must provide a JWT id_token issued by our IdP.
Path Parameters
⌘I